summaryrefslogtreecommitdiffstats
path: root/contrib/gennews
diff options
context:
space:
mode:
authorjsm28 <jsm28@138bc75d-0d04-0410-961f-82ee72b054a4>2000-12-04 23:03:07 +0000
committerjsm28 <jsm28@138bc75d-0d04-0410-961f-82ee72b054a4>2000-12-04 23:03:07 +0000
commit5b364b42658400d42a5028d3c2867ae7832fe37f (patch)
tree8b57bde7f25887eeb2be0f37f922c330cb722a6a /contrib/gennews
parent76d085104e365f94b1f7ba84a3cbee4f5538fc22 (diff)
downloadppe42-gcc-5b364b42658400d42a5028d3c2867ae7832fe37f.tar.gz
ppe42-gcc-5b364b42658400d42a5028d3c2867ae7832fe37f.zip
gcc:
* ONEWS: New file with the current contents of NEWS up to EGCS 1.1. * NEWS: Generate automatically from online release notes from EGCS 1.0 to GCC 2.95.2, using ../contrib/gennews. contrib: * gennews: New script. git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/trunk@38016 138bc75d-0d04-0410-961f-82ee72b054a4
Diffstat (limited to 'contrib/gennews')
-rwxr-xr-xcontrib/gennews52
1 files changed, 52 insertions, 0 deletions
diff --git a/contrib/gennews b/contrib/gennews
new file mode 100755
index 00000000000..27178504851
--- /dev/null
+++ b/contrib/gennews
@@ -0,0 +1,52 @@
+#! /bin/sh
+#
+# Script to generate the NEWS file from online release notes.
+# Contributed by Joseph Myers <jsm28@cam.ac.uk>.
+#
+# Copyright (C) 2000 Free Software Foundation, Inc.
+# This file is part of GNU CC.
+#
+# GNU CC is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU CC is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GNU CC; see the file COPYING. If not, write to
+# the Free Software Foundation, 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+website=http://gcc.gnu.org/
+files="gcc-2.95/gcc-2.95.2.html gcc-2.95/gcc-2.95.1.html
+ gcc-2.95/gcc-2.95.html gcc-2.95/features.html gcc-2.95/caveats.html
+ egcs-1.1/egcs-1.1.2.html egcs-1.1/egcs-1.1.1.html egcs-1.1/egcs-1.1.html
+ egcs-1.1/features.html egcs-1.1/caveats.html
+ egcs-1.0/egcs-1.0.3.html egcs-1.0/egcs-1.0.2.html egcs-1.0/egcs-1.0.1.html
+ egcs-1.0/egcs-1.0.html egcs-1.0/features.html egcs-1.0/caveats.html"
+
+set -e
+
+cat <<EOF
+This file contains information about GCC releases which has been
+generated automatically from the online release notes. This file
+covers releases of GCC (and the former EGCS project) since EGCS 1.0,
+on the line of development that led to GCC 3; for information on GCC
+2.8.1 and older releases of GCC 2, see ONEWS.
+
+EOF
+
+header="======================================================================"
+
+echo $header
+
+for file in $files; do
+ wfile=$website$file
+ echo $wfile
+ lynx -dump $wfile
+ echo $header
+done
OpenPOWER on IntegriCloud